package ru.dima.weather.cli;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class CLIInputReader {
    private BufferedReader scanner;

    public CLIInputReader(InputStream systemIn) {
        this.scanner = new BufferedReader(new InputStreamReader(systemIn));
    }

    public String readString() {
        try {
            return scanner.readLine();
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    public int readInteger() {
        try {
            var inputString = readString();
            if (inputString == null) {
                throw new IllegalStateException("IO Closed");
            }

            return Integer.parseInt(inputString);
        } catch (NumberFormatException e) {
            System.out.println("Попробуй еще раз, это не число");
            return readInteger();
        }
    }
}
