package ru.dima.weather.city;

import org.junit.jupiter.api.Test;
import org.mockito.Mockito;
import ru.dima.weather.http.HttpRequester;

import java.util.UUID;

import static org.junit.jupiter.api.Assertions.assertEquals;

class CityByIpResolverTest {

    @Test
    void mustReturnPlaintextCityFromIp() {
        var mockHttpRequester = Mockito.mock(HttpRequester.class);
        var cityByIpResolver = new CityByIpResolver(mockHttpRequester);
        var randomCityName = UUID.randomUUID().toString();

        Mockito.when(mockHttpRequester.getString(Mockito.any())).thenReturn(randomCityName);

        var currentCity = cityByIpResolver.getCurrentCityViaIP();
        assertEquals(randomCityName, currentCity);

    }

}